Skip to content
Amplify APIReference

Retrieve geo performance statistics for a Marketer

GET/reports/marketers/{id}/geo
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Path Parameters

id*string

Marketer id

Query Parameters

from?string

Start day Date

to?string

End day Date

breakdown?string

Defines the geo breakdown of data, either country, region, DMA, or subregion.

limit?number

Number of results to return in this request. Used with offset for pagination. default is 10.

offset?number

Result number to start this response at. zero based. Used with limit for pagination. default is 0.

sort?string

Can have one of the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, name, code, countryName, countryCode, regionName and regionCode. For more details about reports sorting read this.

filter?string

Can have the following values impressions, clicks, ctr, spend, ecpc, conversions, conversionRate, cpa, id, name, code, countryId, countryName countryCode, regionName and regionCode. For more details about reports filtering read this.

includeArchivedCampaigns?string

Include data of archived campaigns, default false.

budgetId?string

Limit to data of the budget with the given ID.

campaignId?string

Limit to data of the campaign with the given IDs (takes precedence over budgetId).

includeConversionDetails?string

Include metrics of conversion pixels, default false.

conversionsByClickDate?string

Report conversion metrics by click or conversion date, default false (report by conversion date).

includeViewedImpressions?string

When true, includes viewableImpressions in the response metrics.

enabledCampaignsOnly?string

Include data of active campaigns only (data of inactive campaigns will not be shown). Relevant only when requesting all campaigns

promotedLinkId?string

Response Body

application/json

curl -X GET "https://example.com/reports/marketers/abf4b02153ee75f3cadc4fc128ab0419ab/geo?from=2015-12-22&to=2016-01-20&breakdown=region&limit=10&offset=3&sort=-ctr&filter=clicks%2Bgt%2B99&includeArchivedCampaigns=true&budgetId=adc4fc128ab0419ababf4b02153ee75f3c&campaignId=e75f3cadc4fc128ab0419ababf4b02153e%2C+0069fc0fe9598f99b4c528f0881cd74b4b&includeConversionDetails=false&conversionsByClickDate=true&includeViewedImpressions=false&enabledCampaignsOnly=true"
{  "results": [    {      "metadata": {        "id": "53584a380fecdfdfd93b9dfd754ea3d2",        "name": "Sao Paulo",        "code": "27",        "countryId": "281f981b8e4f56604268e52d8f50157e",        "countryName": "Brazil",        "countryCode": "BR"      },      "metrics": {        "impressions": 1525046,        "clicks": 5869,        "totalConversions": 20,        "conversions": 16,        "viewConversions": 4,        "spend": 1023.74,        "ecpc": 0.17,        "ctr": 0.38,        "conversionRate": 0.27,        "viewConversionRate": 0,        "cpa": 63.98,        "totalCpa": 51.19,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0,        "conversionMetrics": [          {            "name": "Signup",            "totalConversions": 18,            "conversions": 14,            "viewConversions": 4,            "conversionRate": 0.24,            "viewConversionRate": 0,            "totalCpa": 56.87,            "cpa": 73.12,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          },          {            "name": "Install",            "totalConversions": 2,            "conversions": 2,            "viewConversions": 0,            "conversionRate": 0.03,            "viewConversionRate": 0,            "totalCpa": 511.87,            "cpa": 511.87,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          }        ]      }    },    {      "metadata": {        "id": "af83c9abacffe72d11cfb39e1289ba5b",        "name": "Rio de Janeiro",        "code": "21",        "countryId": "281f981b8e4f56604268e52d8f50157e",        "countryName": "Brazil",        "countryCode": "BR"      },      "metrics": {        "impressions": 432929,        "clicks": 2288,        "totalConversions": 2,        "conversions": 2,        "viewConversions": 0,        "spend": 356.39,        "ecpc": 0.16,        "ctr": 0.53,        "conversionRate": 0.09,        "viewConversionRate": 0,        "cpa": 178.2,        "totalCpa": 178.2,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0,        "conversionMetrics": [          {            "name": "Signup",            "totalConversions": 1,            "conversions": 1,            "viewConversions": 0,            "conversionRate": 0.04,            "viewConversionRate": 0,            "totalCpa": 356.39,            "cpa": 356.39,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          },          {            "name": "Install",            "totalConversions": 1,            "conversions": 1,            "viewConversions": 0,            "conversionRate": 0.04,            "viewConversionRate": 0,            "totalCpa": 356.39,            "cpa": 356.39,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          }        ]      }    },    {      "metadata": {        "id": "4bb922093812a7e196448e1639627696",        "name": "Minas Gerais",        "code": "15",        "countryId": "281f981b8e4f56604268e52d8f50157e",        "countryName": "Brazil",        "countryCode": "BR"      },      "metrics": {        "impressions": 356716,        "clicks": 1432,        "totalConversions": 7,        "conversions": 7,        "viewConversions": 0,        "spend": 237.15,        "ecpc": 0.17,        "ctr": 0.4,        "conversionRate": 0.49,        "viewConversionRate": 0,        "cpa": 33.88,        "totalCpa": 33.88,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0,        "conversionMetrics": [          {            "name": "Signup",            "totalConversions": 7,            "conversions": 7,            "viewConversions": 0,            "conversionRate": 0.49,            "viewConversionRate": 0,            "totalCpa": 33.88,            "cpa": 33.88,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          }        ]      }    },    {      "metadata": {        "id": "ed1317a539fa60d3d1b23edc5c212a68",        "name": "Parana",        "code": "18",        "countryId": "281f981b8e4f56604268e52d8f50157e",        "countryName": "Brazil",        "countryCode": "BR"      },      "metrics": {        "impressions": 309395,        "clicks": 858,        "totalConversions": 2,        "conversions": 2,        "viewConversions": 0,        "spend": 145.35,        "ecpc": 0.17,        "ctr": 0.28,        "conversionRate": 0.23,        "viewConversionRate": 0,        "cpa": 72.68,        "totalCpa": 72.68,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0,        "conversionMetrics": [          {            "name": "Signup",            "totalConversions": 1,            "conversions": 1,            "viewConversions": 0,            "conversionRate": 0.12,            "viewConversionRate": 0,            "totalCpa": 145.35,            "cpa": 145.35,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          },          {            "name": "Install",            "totalConversions": 1,            "conversions": 1,            "viewConversions": 0,            "conversionRate": 0.12,            "viewConversionRate": 0,            "totalCpa": 145.35,            "cpa": 145.35,            "totalValue": 0,            "totalSumValue": 0,            "sumValue": 0,            "viewSumValue": 0,            "totalAverageValue": 0,            "averageValue": 0,            "viewAverageValue": 0,            "roas": 0,            "totalRoas": 0          }        ]      }    },    {      "metadata": {        "id": "ee2efd3f07f0fdd3abbf917359881791",        "name": "Rio Grande do Sul",        "code": "23",        "countryId": "281f981b8e4f56604268e52d8f50157e",        "countryName": "Brazil",        "countryCode": "BR"      },      "metrics": {        "impressions": 294533,        "clicks": 774,        "totalConversions": 0,        "conversions": 0,        "viewConversions": 0,        "spend": 129.25,        "ecpc": 0.17,        "ctr": 0.26,        "conversionRate": 0,        "viewConversionRate": 0,        "cpa": 0,        "totalCpa": 0,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    }  ],  "totalResults": 36,  "summary": {    "impressions": 4196862,    "clicks": 15499,    "totalConversions": 39,    "conversions": 35,    "viewConversions": 4,    "spend": 2618.33,    "ecpc": 0.17,    "ctr": 0.37,    "conversionRate": 0.23,    "viewConversionRate": 0,    "cpa": 74.81,    "totalCpa": 67.14,    "totalValue": 0,    "totalSumValue": 0,    "sumValue": 0,    "viewSumValue": 0,    "totalAverageValue": 0,    "averageValue": 0,    "viewAverageValue": 0,    "roas": 0,    "totalRoas": 0,    "conversionMetrics": [      {        "name": "Signup",        "totalConversions": 35,        "conversions": 31,        "viewConversions": 4,        "conversionRate": 0.2,        "viewConversionRate": 0,        "totalCpa": 74.81,        "cpa": 84.46,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      },      {        "name": "Install",        "totalConversions": 4,        "conversions": 4,        "viewConversions": 0,        "conversionRate": 0.03,        "viewConversionRate": 0,        "totalCpa": 654.58,        "cpa": 654.58,        "totalValue": 0,        "totalSumValue": 0,        "sumValue": 0,        "viewSumValue": 0,        "totalAverageValue": 0,        "averageValue": 0,        "viewAverageValue": 0,        "roas": 0,        "totalRoas": 0      }    ]  }}